<div class="container">
    <h2>
        <span>Buat Data Payment</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px;">
            <div class="row">
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="ui-g-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_tgldue">Tanggal Jatuh Tempo</label>
                                <p-calendar [showIcon]="true" [(ngModel)]="dtDue" [disabled]='isview'></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <!-- <label class="form-control-label" for="field_total">No Refferensi</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="pay.receiptno" readonly/> -->
                        <button type="button" [routerLink]="['/', { outlets: { popup: 'tanda-terima-as-lov'  } }]"
                            replaceUrl="true" label="cari" class="btn btn-danger btn-block">
                            <span>Cari Tanda Terima <i class="fa fa-search" aria-hidden="true"></i></span>
                        </button>
                        <div class="ui-g-12">
                            <p-dataTable [value]="tandaTerimas" [editable]="true" [responsive]="true">
                                <header>
                                </header>
                                <p-column header="No">
                                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                        {{rowIndex + 1}}
                                    </ng-template>
                                </p-column>
                                <p-column header="Nomor Tanda Terima">
                                    <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.receiptno}}
                                    </ng-template>
                                </p-column>
                                <p-column header="Total">
                                    <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.total | number:'1.0-2'}}
                                    </ng-template>
                                </p-column>
                                <p-column header="Aksi">
                                    <ng-template let-rowData="rowData" pTemplate="body">
                                        <div class="ui-g-6">
                                            <button pButton type="button" icon="fa fa-trash" class="flat-button" (click)="deleteListArray(rowData)"
                                                pTooltip="Hapus">
                                            </button>
                                        </div>
                                    </ng-template>
                                </p-column>
                            </p-dataTable>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label" for="field_total">No Invoice</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="invoiceNumber" />
                    </div>
                    <div class="ui-g-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Mata Uang</label>
                            <p-autoComplete [(ngModel)]="newValuta" [suggestions]="filteredValuta"
                                (completeMethod)="filterValutaSingle($event)" [size]="34" name="valuta" [minLength]="1"
                                field="valutacode" placeholder="pilih atau masukan mata uang"
                                (onSelect)="selectValuta(true)" [dropdown]="true" tabindex=7></p-autoComplete>
                        </div>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]='isview'>
                            </p-autoComplete>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                                (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]='isview'>
                            </p-autoComplete>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <!-- <div class="ui-g-4">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-as-lov'  } }]"
                replaceUrl="true" label="cari" class="btn btn-danger btn-block"  [disabled]="isview">
                <span>Cari Nomor PO</span>
            </button>
        </div> -->
        <div class="ui-g-12">
            <!-- <p-dataTable [value]="payItems" [editable]="true" [responsive]="true">
                <header>

                </header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invno}}
                    </ng-template>
                </p-column>
                <p-column header="Total PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totalpay}}
                    </ng-template>
                </p-column>
            </p-dataTable> -->
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Deskripsi</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <textarea [(ngModel)]="pay.note" rows="6" cols="30" pInputTextarea autoResize="autoResize"
                        style="width: 200px;" [disabled]='isview'></textarea>
                </div>
            </div>

            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Suplier</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <textarea [(ngModel)]="pay.notespl" rows="6" cols="30" pInputTextarea autoResize="autoResize"
                        style="width: 200px;" [disabled]='isview'></textarea>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Sub Total</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.subtotal"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"/>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Biaya Lain - Lain</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total"
                        [(ngModel)]="pay.additionalcosts"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Biaya Lain - Lain</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input type="text" class="form-control" [(ngModel)]="pay.additionalcostsnote" style="width: 100%;" [disabled]='isview' />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">PPh</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.pph"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="countPPH()" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan PPh</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <textarea [(ngModel)]="pay.notepph" rows="3" cols="30" pInputTextarea autoResize="autoResize"
                        style="width: 200px;" [disabled]='isview'></textarea>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Fixrebate</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="fixrebate" id="field_fixrebate" [(ngModel)]="pay.fixrebate"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="countPPH()" />
                </div>
            </div>
            
        <div class="ui-g-4" >
            <div class="form-group">
                Tanggal Release
            </div>
        </div>
        <div class="ui-g-8">
            <div class="form-group">
                <p-calendar inputId="field_dtrelease" name="input_dtrelease" [(ngModel)]="dtrelease"
                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                    appendTo="body" [disabled]="isview" autocomplete="off"></p-calendar>
            </div>
        </div>
        <!-- <div class="ui-g-4">
            <div class="form-group">
                No. Giro / Bayar
            </div>
            <div class="ui-g-8 form-group">
                <input type="text" class="form-control" name="nogiro" id="field_nogiro" [(ngModel)]="tanter.nogiro"
                    [disabled]="!isview" autocomplete="off"/>
            </div>
        </div> -->
        <div class="ui-g-4">
            <div class="form-group">
                Tgl. Giro / Bayar
            </div>
        </div>
        <div class="ui-g-8">
            <div class="form-group">
                <p-calendar inputId="field_dtpay" name="input_dtpay" [(ngModel)]="dtpay" dateFormat="dd-MM-yy"
                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                [disabled]="isview" autocomplete="off"></p-calendar>
            </div>
        </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Total</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.totalpay"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" [disabled]="true" />
                </div>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
            </div>
            <div class="ui-g-12" style="margin-bottom: 50px;">
                <div class="btn-group flex-btn-group-container">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createPay()" [disabled]='isview'>
                    </button>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()">
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>